[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# ReadDir

Read entry from directory

## Declaration

Source position: oldlinux.pp line 1436

`function ReadDir(`
`p: PDir`
`):pdirent;`

## Description

ReadDir reads the next entry in the directory pointed to by p. It returns a pdirent pointer to a structure describing the entry. If the next entry can't be read, Nil is returned.

For an example, see OpenDir.

## Errors

Errors are returned in LinuxError.

## See also

CloseDir |  | Close directory file descriptor
OpenDir |  | Open directory for reading
SeekDir |  | Seek to position in directory
TellDir |  | Return current location in a directory

Documentation generated on: Feb 26 2014